
QGIS Application - Bug report #15550

Processing: activating a new provider causes QGIS to freeze for a few seconds

2016-09-09 03:23 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23473

Description

I'm working with a fresh installation of QGIS 2.16.2 on Ubuntu 16.04. I loaded QGIS, went to Processing -> Options -> Providers ->

Activated R and QGIS froze for a few seconds.

The same happened when I installed the Processing plugin ntv2 datum transformations and tried to activate it.

Associated revisions

Revision d265f333 - 2016-09-13 10:09 AM - Victor Olaya

[processing] cache icons to speed up toolbox rendering

fixes #15550

Revision c2e0205c - 2016-09-21 01:24 PM - Victor Olaya

[processing] fied issue with grass icons slowing down toolbox

fixes #15550

Revision 2fda177c - 2016-09-21 01:26 PM - Victor Olaya

[processing] fied issue with grass icons slowing down toolbox

fixes #15550

Revision 3dcf4874 - 2017-01-03 08:03 AM - Mathieu Pellerin - nIRV

[processing] fix app freeze when closing options dialog (fixes #15550)

Revision a643f4b4 - 2017-01-03 09:37 AM - Alexander Bruy

Merge pull request #3941 from nirvn/processing_options_freeze

[processing] fix app freeze when closing options dialog (fixes #15550)
Revision e648e212 - 2017-01-24 02:37 PM - Mathieu Pellerin - nIRV

[processing] fix app freeze when closing options dialog (fixes #15550)

(cherry picked from commit 3dcf4874859f777050f06c9fde54233e5df73b2c)

Revision 787fecb7 - 2017-01-24 02:42 PM - Mathieu Pellerin - nIRV

[processing] fix app freeze when closing options dialog (fixes #15550)

(cherry picked from commit 3dcf4874859f777050f06c9fde54233e5df73b2c)

History

#1 - 2016-09-13 01:14 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"d265f3334142853a7f04fbda5bf6a62e3b5f672d".

#2 - 2016-09-14 02:29 AM - Andrea Giacomelli

- Status changed from Closed to Reopened

I observed a similar issue...initially on 2.16.0. un xubuntu 14.04

I then installed  just now 2.16.2 and the issue remains.

when committing any change (activate or de-activate provider) to the Processing / Options panel clicking "OK" to save and return to operations, the panel

freezes for several seconds (I didn't time it, but could go up to 1-2 minute freeze).

eventually the panel will close and the application will keep on running regularly.

#3 - 2016-09-14 04:07 AM - Victor Olaya

IT is fixedalready in the master branch. Not backported yet to 2.16, but this is fixed, so the ticket can be closed

#4 - 2016-09-21 02:33 AM - Filipe Dias

Is there any chance this fix can be backported to QGIS 2.18?

#5 - 2016-09-21 04:24 AM - Victor Olaya

- Status changed from Reopened to Closed

Fixed in changeset commit:"c2e0205c08c8d2397c5851f3d3b23f81a6f9b71d".

#6 - 2016-09-25 08:06 AM - Filipe Dias

- Status changed from Closed to Reopened
Hi Victor

I just tested on QGIS 2.17 Master (today's version) and activating/deactivating a provider still freezes QGIS

#7 - 2016-09-25 08:07 AM - Filipe Dias

- Affected QGIS version changed from 2.16.2 to master_2

#8 - 2016-10-04 11:04 AM - Alexander Bruy

As I can see sorrecponding commit already presented in master_2 branch

#9 - 2016-10-04 12:34 PM - Filipe Dias

Unfortunately it doesn't solve the issue.

#10 - 2016-10-26 10:25 AM - Paolo Cavallini

Confirmed here, both on Debian sid and on Windows, several machines. It is more than a few seconds, it 's several tens.

#11 - 2016-12-06 06:28 AM - matteo ghetta

- Affected QGIS version changed from master_2 to master

Confirmed in linux mint with QGIS 3 fresh compiled. When changing something in Processing Option it take a while to close the dialog.

#12 - 2017-01-03 12:34 AM - Alexander Bruy

- Status changed from Reopened to Closed

Fixed in changeset commit:"a643f4b4a6ea0fe74d540ed4036fa5d4214dfd46".
